<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.summit.mapper.ActivityTemporaryMapper">
    <insert id="addModifyIfPresent" parameterType="com.xxfc.platform.summit.entity.ActivityTemporary"
            useGeneratedKeys="true" keyProperty="id" keyColumn="id">
    INSERT INTO fc_activity_temporary (name,phone,inviter,crt_time,upd_time)
    VALUES (#{name},#{phone},#{inviter},#{crtTime},#{updTime}) ON DUPLICATE KEY UPDATE upd_time = VALUES(crt_time)
   </insert>
</mapper>